# Unitex/GramLab Core [![Build Status](https://travis-ci.org/UnitexGramLab/unitex-core.svg?branch=master)](https://travis-ci.org/UnitexGramLab/unitex-core) [![Build status](https://ci.appveyor.com/api/projects/status/ucuu8ocibexmagju?svg=true)](https://ci.appveyor.com/project/martinec/unitex-core)

> [Unitex/GramLab][unitexgramlab] is the open source, cross-platform, multilingual, lexicon- and grammar-based corpus processing suite.

Unitex is the Natural Language Processing (NLP) engine of [Unitex/GramLab][unitexgramlab].

## How to Build

    git clone https://github.com/UnitexGramLab/unitex-core
    cd unitex-core/build
    make DEBUG=yes UNITEXTOOLLOGGERONLY=yes

## Contributing

We welcome everyone to contribute to improve this project. See [CONTRIBUTING.md](.github/CONTRIBUTING.md) 
for contribution guidelines and instructions.

## Documentation

User's Manual (in PDF format) is available in English and French ([more
translations are welcome](https://github.com/UnitexGramLab/unitex-doc-usermanual)).
You can view and print them with Evince, downloadable
[here](https://wiki.gnome.org/Apps/Evince/Downloads).
The latest version of the User's Manual is accessible
[here](http://releases.unitexgramlab.org/latest-stable/man/).

## Support

Support questions can be posted in the [community support
forum](http://forum.unitexgramlab.org). Please feel free to submit any
suggestions or requests for new features too. Some general advice about
asking technical support questions can be found
[here](http://www.catb.org/esr/faqs/smart-questions.html).

## Reporting Bugs

See the [Bug Reporting
Guide](https://unitexgramlab.org/how-to-report-a-bug) for information on
how to report bugs.

## Governance Model

Unitex/GramLab project decision-making is based on a community
meritocratic process, anyone with an interest in it can join the
community, contribute to the project design and participate in
decisions. The [Unitex/GramLab Governance
Model](http://governance.unitexgramlab.org) describes
how this participation takes place and how to set about earning merit
within the project community.

## Spelling

Unitex/GramLab is spelled with capitals "U" "G" and "L", and with
everything else in lower case. Excepting the forward slash, do not put
a space or any character between words. Only when the forward slash
is not allowed, you can simply write “UnitexGramLab”.

It's common to refer to the Unitex/GramLab Core as "Unitex", and to the
Unitex Project-oriented IDE as "GramLab". If you are mentioning the
distribution suite (Core, IDE, Linguistic Resources and others bundled
tools) always use "Unitex/GramLab".


## License

<a href="/LICENSE"><img height="48" align="left" src="http://www.gnu.org/graphics/empowered-by-gnu.svg"></a>

This program is licensed under the [GNU Lesser General Public License version 2.1](/LICENSE).
Contact unitex-devel@univ-mlv.fr for further inquiries.

---

Copyright (C) 2020 Université Paris-Est Marne-la-Vallée

[unitexgramlab]:  https://unitexgramlab.org
